datacache <- new.env(hash=TRUE, parent=emptyenv())

hugene10stprobeset <- function() showQCData("hugene10stprobeset", datacache)
hugene10stprobeset_dbconn <- function() dbconn(datacache)
hugene10stprobeset_dbfile <- function() dbfile(datacache)
hugene10stprobeset_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hugene10stprobeset_dbInfo <- function() dbInfo(datacache)

hugene10stprobesetORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hugene10stprobeset.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hugene10stprobeset", "chip hugene10stprobeset", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("exon_probeset"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hugene10stprobeset_dbconn())
}

